function [HRbaseline,baselinetime] = baseline(beat1,beat2,beat3)
%   Detailed explanation goes here
%   The purpose of this code is to simulate a baseline ecg signal. It will
%   call a number of beats to generate (1000-1200) and each beat will have
%   a randomly generated heart rate between the range of 60 to 100 beats
%   per sec. 

    %p wave specifications; amplitude, duration and time 
        a_pwav=0.25; 
        d_pwav=0.09;
        t_pwav=0.16;
    %q wave specifications; amplitude, duration and time 
        a_qwav=0.025; 
        d_qwav=0.066;
        t_qwav=0.166;
    %qrs wave specifications; amplitude, duration and time 
        a_qrswav=1.6;
        d_qrswav=0.11;   
    %s wave specifications; amplitude, duration and time 
        a_swav=0.25;
        d_swav=0.066;
        t_swav=0.09; 
    %t wave specifications; amplitude, duration and time 
        a_twav=0.35;
        d_twav=0.142;
        t_twav=0.2;
    %u wave specifications; amplitude, duration and time 
        a_uwav=0.035
        d_uwav=0.0476;
        t_uwav=0.433;

finalpwav = [];
finalqwav = [];
finalqrswav = [];
finalswav = [];
finaltwav = [];
finaluwav = [];
b = [];
f = [];
e = 0;
c = 0; 
    HR = randi([60,100],1,beat1); % Generates a random HR from 60 to 100 for each beat 
    t = 60./HR; 
    t = [0,t];
    t = round(t,2);
for i = 2:beat1;
    li=30./HR; 
    li = [0,li] ;
    time = cumsum(t); 
    c = time(i-1); 
    e = time(i);
    d = c:.01:e;
    b = [b,d]; % adds up all the time it takes to generate one beat. 

    pwav=p_wav(d,a_pwav,d_pwav,t_pwav,li(i));  % mV value of pwave per beat
    qwav=q_wav(d,a_qwav,d_qwav,t_qwav,li(i));  % mV value of qwave per beat 
    qrswav=qrs_wav(d,a_qrswav,d_qrswav,li(i)); % mV value of qrswave per beat
    swav=s_wav(d,a_swav,d_swav,t_swav,li(i));  % mV value of swave per beat 
    twav=t_wav(d,a_twav,d_twav,t_twav,li(i));  % mV value of twave per beat 
    uwav=u_wav(d,a_uwav,d_uwav,t_uwav,li(i));  % mV value of uwave per beat 
     
    finalpwav=[finalpwav,pwav]; %Concatenate all the p wave beats 
    finalqwav=[finalqwav,qwav]; %Concatenate all the q wave beats
    finalqrswav=[finalqrswav,qrswav]; %Concatenate all the qrs wave beats 
    finalswav=[finalswav,swav]; %Concatenate all the swave beats 
    finaltwav=[finaltwav,twav]; %Concatenate all the twave beats
    finaluwav=[finaluwav,uwav]; %Concatenate all the uwave beats 
    
   
end
baselinetime = b; 
HRbaseline = finalpwav + finalqwav+finalqrswav+finalswav+finaltwav+finaluwav;

% HR baseline adds up all the features in order to generate a ecg signal. 
end 


