function [HRbaseline2,baseline2time] = baseline2(beat1,beat2,beat3,beat4,seizuretime)
%   The purpose of this code is to simulate a 2nd baseline ecg signal. It will
%   call a number of beats to generate (60-120) and each beat will have
%   a randomly generated heart rate between the range of 60 to 100 beats
%   per sec. It will occur on the timescale after the seizure phase.
    %p wave specifications
        a_pwav=0.25;
        d_pwav=0.09;
        t_pwav=0.16;
    %q wave specifications
        a_qwav=0.025;
        d_qwav=0.066;
        t_qwav=0.166;
    %qrs wave specifications
        a_qrswav=1.6;
        d_qrswav=0.11;   
    %s wave specifications
        a_swav=0.25;
        d_swav=0.066;
        t_swav=0.09; 
    %t wave specifications
        a_twav=0.35;
        d_twav=0.142;
        t_twav=0.2;
    %u wave specifications
        a_uwav=0.035;
        d_uwav=0.0476;
        t_uwav=0.433;

finalpwav = [];
finalqwav = [];
finalqrswav = [];
finalswav = [];
finaltwav = [];
finaluwav = [];
b = [];
f = [];
e = 0;
c = 0; 
 
    HR = randi([60,100],1,beat4); % Generates a random HR from 60 to 100 for each beat 
    t = 60./HR;
    t = [seizuretime,t]; % shifts the timescale so that the 2nd baseline occurs after the seizure
    t = round(t,2);
for i = 2:beat4;
    li=30./HR;
    li = [0,li] ;
    time = cumsum(t); 
    c = time(i-1) ;
    e = time(i);
    d = c:.01:e;
    b = [b,d];

    pwav=p_wav(d,a_pwav,d_pwav,t_pwav,li(i)); 
    qwav=q_wav(d,a_qwav,d_qwav,t_qwav,li(i));
    qrswav=qrs_wav(d,a_qrswav,d_qrswav,li(i));
    swav=s_wav(d,a_swav,d_swav,t_swav,li(i));
    twav=t_wav(d,a_twav,d_twav,t_twav,li(i));
    uwav=u_wav(d,a_uwav,d_uwav,t_uwav,li(i));
     
    finalpwav=[finalpwav,pwav];
    finalqwav=[finalqwav,qwav];
    finalqrswav=[finalqrswav,qrswav];
    finalswav=[finalswav,swav];
    finaltwav=[finaltwav,twav];
    finaluwav=[finaluwav,uwav];
    
   
end
baseline2time = b; 
HRbaseline2 = finalpwav + finalqwav+finalqrswav+finalswav+finaltwav+finaluwav; 


end 


