 function [HRpreictal,preictaltime] = preictal(beat1,beat2,beat3,baselinetime); 
%   The purpose of this code is to simulate a preictal ecg signal. It will
%   call a number of beats to generate (120-360) and each beat will have
%   a randomly generated heart rate between the range of 90 to 120 beats
%   per sec. It will occur on the timescale after the first baseline 
 
    %p wave specification
        a_pwav=0.25;
        d_pwav=0.09;
        t_pwav=0.16;
    %q wave specifications
        a_qwav=0.025;
        d_qwav=0.066;
        t_qwav=0.166;
    %qrs wave specifications
        a_qrswav=1.6;
        d_qrswav=0.11;   
    %s wave specifications
        a_swav=0.25;
        d_swav=0.066;
        t_swav=0.09; 
    %t wave specifications
        a_twav=0.35;
        d_twav=0.142;
        t_twav=0.2;
    %u wave specifications
        a_uwav=0.035;
        d_uwav=0.0476;
        t_uwav=0.433;
        
finalpwav = [];
finalqwav = [];
finalqrswav = [];
finalswav = [];
finaltwav = [];
finaluwav = [];
b = [];
f = [];
e = 0;
c = 0; 

    HR = randi([90,120],1,beat2); % Generates a random HR from 90 to 120 for each beat 
    t = 60./HR;
    t = [baselinetime,t]; % shifts the timescale so that preictal occurs after the first baseline
    t = round(t,2);
for i = 2:beat2;
    li=30./HR;
    li = [0,li] ;
    time = cumsum(t); 
    c = time(i-1) ;
    e = time(i);
    d = c:.01:e;
    b = [b,d];
    
    pwav=p_wav(d,a_pwav,d_pwav,t_pwav,li(i)); %look at baseline descriptions
    qwav=q_wav(d,a_qwav,d_qwav,t_qwav,li(i));
    qrswav=qrs_wav(d,a_qrswav,d_qrswav,li(i));
    swav=s_wav(d,a_swav,d_swav,t_swav,li(i));
    twav=t_wav(d,a_twav,d_twav,t_twav,li(i));
    uwav=u_wav(d,a_uwav,d_uwav,t_uwav,li(i));
     
    finalpwav=[finalpwav,pwav]; %look at baseline descriptions
    finalqwav=[finalqwav,qwav];
    finalqrswav=[finalqrswav,qrswav];
    finalswav=[finalswav,swav];
    finaltwav=[finaltwav,twav];
    finaluwav=[finaluwav,uwav];
    
   
end
HRpreictal = finalpwav + finalqwav+finalqrswav+finalswav+finaltwav+finaluwav; 
preictaltime = b; 


end
